Subject: I-D ACTION:draft-ietf-ospf-scalability-02.txt

From: [email-masked]
Date: Fri, 8 Nov 2002 07:35:48 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Open Shortest Path First IGP Working Group of the IETF.

        Title           : Explicit Marking and Prioritized Treatment of Specific
                          OSPF Packets for Faster IGP Convergence and Improved
                          Network Scalability and Stability
        Author(s)       : V. Sapozhnikova, G. Choudhury
        Filename        : draft-ietf-ospf-scalability-02.txt
        Pages           : 15
        Date            : 2002-11-7

In this draft we propose the following mechanisms to improve
the scalability and stability of OSPF-based network:
(1) Process the Hello packets at a higher priority compared to other
OSPF packets.  In order to facilitate this, explicitly mark the
Hello packets, to differentiate them from other OSPF packets.
One way of special marking is to use a different Diffserv
codepoint for Hello packets compared to other OSPF packets.
(2) In the absence of special marking, or in addition to it, use
other mechanisms in order not to miss Hello packets. One example
is to treat any packet received over a link as a surrogate for
a Hello packet (an implicit Hello) for the purpose of keeping
the link alive.
(3) The same type of explicit marking and prioritized treatment may
 be beneficial to other OSPF packets as well.  One important
example is LSA acknowledgment packet that can reduce
retransmissions during periods of congestion.  Other examples
include (a) Database description (DBD) packet from a slave that
is used as an acknowledgement, and (b) LSAs carrying intra-area
topology change information.
It is possible that some implementations are already using one or
more of the above mechanisms in order not to miss the processing of
critical packets during periods of congestion.  However, we suggest
the above mechanisms to be included as part of the standard so that
all implementations can benefit from them.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ospf-scalability-02.txt

To remove yourself from the IETF Announcement list, send a message to
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
        "get draft-ietf-ospf-scalability-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
        [email-masked].
In the body type:
        "FILE /internet-drafts/draft-ietf-ospf-scalability-02.txt".

NOTE:   The mail server at ietf.org can return the document in
        MIME-encoded form by using the "mpack" utility.  To use this
        feature, insert the command "ENCODING mime" before the "FILE"
        command.  To decode the response(s), you will need "munpack" or
        a MIME-compliant mail reader.  Different MIME-compliant mail readers
        exhibit different behavior, especially when dealing with
        "multipart" MIME messages (i.e. documents which have been split
        up into multiple messages), so check your local documentation on
        how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Choudhury, Gagan L, ALASO" <[email-masked]>
Date: Fri, 8 Nov 2002 10:20:15 -0500

Just wanted to point out that the attached ID has two more authors: Anurag Maunder and Vishwas Manral.

                Gagan Choudhury

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, November 08, 2002 7:36 AM
To: [email-masked]
Subject: I-D ACTION:draft-ietf-ospf-scalability-02.txt

Send a message to:
        [email-masked].
In the body type: